
QGIS Application - Bug report #5944

Fail to build with SIP older than 4.10

2012-07-04 01:14 PM - Volker Fröhlich

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 15374

Description

SIP 4.10 introduced the -o option to create specific documentation.

The commit:67c77e5532d7910571b4c84bb4dce3000a0cb359 features -o and is therefore causing builds to fail with older versions of

SIP.

History

#1 - 2012-09-04 12:07 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#2 - 2013-09-09 03:18 PM - Volker Fröhlich

Reminder

#3 - 2014-06-28 07:42 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#4 - 2015-06-05 08:45 AM - Jürgen Fischer

- Resolution set to wontfix

- Status changed from Open to Closed

INSTALL mentions a minimum version of 4.12.
http://htmlpreview.github.io/?https://raw.github.com/qgis/QGIS/master/doc/INSTALL.html

